Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.channels.locales
Class CSessionLocalesSelector

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.layout.channels.locales.CSessionLocalesSelector

All Implemented Interfaces:
  IChannel

    public class CSessionLocalesSelector

extends BaseChannel

Changes the locale preferences for the current session. Any changes made via this channel will not be persisted between sessions.

Version:
  $Revision: 1.6 $
Author:
  Shoji Kajita kajita@itc.nagoya-u.ac.jp, Ken Weiner, kweiner@unicon.net

Field Summary
`protected java.lang.String` | `sslUri`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`log, runtimeData, staticData`

Constructor Summary
`CSessionLocalesSelector()`

Method Summary
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sslUri

    protected final java.lang.String sslUri

See Also:
  Constant Field Values

Constructor Detail

### CSessionLocalesSelector

    public CSessionLocalesSelector()

Method Detail

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD